curl --request GET \
--url https://{domain}/api/v2/network/tracking/event \
--header 'X-API-Key: <api-key>'import requests
url = "https://{domain}/api/v2/network/tracking/event"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{domain}/api/v2/network/tracking/event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"name": "OK",
"message": "Event transaction has been added",
"info": {
"transaction_id": "<string>"
}
}{
"status": "error",
"code": 400,
"name": "Bad Request",
"message": "Request could not be parsed.",
"info": {
"errors": {}
}
}{
"status": "error",
"code": 401,
"name": "Unauthorized",
"message": "API key is invalid or missing."
}{
"status": "error",
"code": 403,
"name": "Forbidden",
"message": "This endpoint is not available for your role."
}{
"status": "error",
"code": 404,
"name": "Not Found",
"message": "Resource not found."
}{
"status": "error",
"code": 500,
"name": "Internal Server Error",
"message": "An unexpected error occurred.",
"info": {
"errors": {}
}
}Create event (GET)
Creates a custom event transaction via GET. Attributed to an existing click by click_id.
Authorizations
Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.
Query Parameters
Click UUID to attribute the event to.
Event type code. Values: dep=Deposit, wdr=Withdrawal, bon=Bonus, bet=Bet, win=Win, ftd=First Deposit, reg=Registration, qftd=Qualified FTD, trd=Trade, pft=Profit, bal=Balance, ver=Verification, chb=Chargeback, rak=Rake, adj=Adjustment, ngr=NGR, psf=PSF, ctf=CTF, tax=Tax, bng=Bingo, ggr=GGR, brf=Brf, rev=Revenue, spr=Spread, fdep=Failed Deposit, depatt=Deposit Attempt.
dep, wdr, bon, bet, win, ftd, reg, qftd, trd, pft, bal, ver, chb, rak, adj, ngr, psf, ctf, tax, bng, ggr, brf, rev, spr, fdep, depatt Event monetary value.
Currency code (ISO 4217). Defaults to platform currency.
Advertiser order ID.
Advertiser user ID.
Advertiser tracking ID.
Custom advertiser parameter 1.
Custom advertiser parameter 2.
Custom advertiser parameter 3.
Custom advertiser parameter 4.
Custom advertiser parameter 5.
Custom affiliate parameter 1.
Custom affiliate parameter 2.
Custom affiliate parameter 3.
Custom affiliate parameter 4.
Custom affiliate parameter 5.
Sub-affiliate tracking ID 1.
Sub-affiliate tracking ID 2.
Sub-affiliate tracking ID 3.
Sub-affiliate tracking ID 4.
Sub-affiliate tracking ID 5.
Promo code to associate with the event.
ISO 3166-1 alpha-2 country code override.
Event quantity (default 1).
External event identifier for deduplication.
Product key (gaming verticals).
Event timestamp (UTC). Format: YYYY-MM-DD HH:MM:SS.
Was this page helpful?